package com.ss.android.ugc.aweme.services.shoutout;

import X.1hK;
import X.C43536ml;
import X.C44696od;
import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.creative.CreativeInfo;

public interface IShoutOutsService {
    static {
        Covode.recordClassIndex(105418);
    }

    int getAuthorCount();

    boolean getInFollowingTab();

    boolean getInMainTab();

    C44696od getShoutOutSettingsModel();

    boolean getUseShoutoutAuthor();

    boolean isShoutoutPostDialog(Object obj);

    void publishShoutOuts(1hK r1, Object obj);

    void setAuthorCount(int i);

    void setInFollowingTab(boolean z);

    void setInMainTab(boolean z);

    void setUseShoutoutAuthor(boolean z);

    void startDownLoadVideo(1hK r1, CreativeInfo creativeInfo, String str, ShoutoutVideoDownloadListener shoutoutVideoDownloadListener);

    void startShoutoutsPublishActivity(Activity activity, Intent intent);

    void startShoutoutsPublishActivityFromDL(Activity activity, Uri uri);

    void startShoutoutsPublishActivityFromNative(Activity activity, C43536ml r2);

    void startShoutoutsPublishSyncActivity(Activity activity, CreativeInfo creativeInfo, String str, String str2, String str3);
}
